Subject: bug#12688: [LaTeXila] AM_PROG_VALAC: error message -> warning message

From: Stefano Lattarini <[email-masked]>
Date: Fri, 26 Oct 2012 15:59:09 +0200

Hi Matthieu, Sébastien, sorry for the delay.

On 10/20/2012 12:31 PM, Matthieu Baerts wrote:
> Hello
> 
> 20/10/2012 00:11 +0200, Sébastien Wilmet wrote:
>> Hello,
>>
>> In the AM_PROG_VALAC macro, when the optional parameter specifying the 
>> minimum release number is not provided, and if the Vala compiler is not 
>> found, then there is a _warning_ message.
>>
>> On the other hand, when the version number is specified, when the Vala 
>> compiler is too old, there is an _error_ message.
>>
>> This error message is problematic, because for a tarball, the Vala 
>> compiler is not required: the generated C code is included in the 
>> tarball. So if a user wants to compile the software, he shouldn't need 
>> the valac program.
>>
>> So the AC_MSG_ERROR should be modified as a AC_MSG_WARN.
> 
> I confirm that I had this problem with LaTeXila: I had a too old version
> of Vala and I was not able to compile LaTeXila except if
> '/usr/bin/valac' was removed/renamed.
> 
> This is how this bug has been fixed in LaTeXila:
> https://github.com/swilmet/latexila/commit/993b073c71f094ca5c15cb2a44e69399176b882a
> (for those who wants a workaround ;) )
> 
> Note that if a warning message is produced when a too old version is
> detected, 'VALAC' variable has to be unset in vala.m4
> 
> 
> This bug should be fixed with the attached patch :)
> 
> 
> Thank you,
> 
> Matt
>
I agree the behaviour you want is better and more sensible than the
current one.  In fact, it mimics the behaviour of a macro like
AC_PROG_YACC, which doesn't abort configure if a bison/yacc program
is not found in PATH (which makes perfect sense, since Automake
distributes the bison-generated C sources, exactly to ensure the
final user doesn't need to have a proper bison/yacc program himself).

However, I'm not going to apply your patch right away because first
I'd like to work on this other enhancement:

  <http://lists.gnu.org/archive/html/automake-patches/2012-09/msg00012.html>

Once that is done (might be a few days), I will get back to your
patch.  I definitely plan to have it committed (in one form or another)
before releasing Automake 1.12.5.

Thanks,
  Stefano